﻿using Connected.ServiceModel;

namespace Connected.Notifications.Events;

public enum EventOrigin
{
	InProcess = 1,
	Remote = 2
}

public sealed class EventServiceArgs : Dto
{
	public IOperationState? Sender { get; init; }
	public Type Service { get; init; }
	public string? Event { get; init; }
	public EventOrigin Origin { get; init; }
	public object? Arguments { get; init; }
}
